通知
GET https://www.dwz.st/api/notification-handlers/
curl --request GET \
--url 'https://www.dwz.st/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://www.dwz.st/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详情 | 描述 |
|---|---|---|
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 您要按哪个字段进行搜索。允许的值为:name。 |
| is_enabled | 可选 布尔值 | |
| type | 可选 字符串 | 您要按哪个字段进行搜索。允许的值为:email , webhook , slack , discord , telegram , microsoft_teams。 |
| order_by | 可选 字符串 | 按哪个字段对结果进行排序。允许的值为:notification_handler_id , datetime , last_datetime , name。 |
| order_type | 可选 字符串 | 结果的排序顺序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 您要按哪个字段进行搜索。允许的值为:name。 |
| is_enabled | 可选 布尔值 | |
| type | 可选 字符串 | 您要按哪个字段进行搜索。允许的值为:email , webhook , slack , discord , telegram , microsoft_teams。 |
| order_by | 可选 字符串 | 按哪个字段对结果进行排序。允许的值为:notification_handler_id , datetime , last_datetime , name。 |
| order_type | 可选 字符串 | 结果的排序顺序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选 整数 | 您想要结果的页面编号。默认为1。 |
| results_per_page | 可选 整数 | 每页要显示多少个结果。允许的值为:10 , 25 , 50 , 100 , 250 , 500 , 1000。默认为25。 |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-08 12:48:05",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://www.dwz.st/api/notification-handlers?page=1",
"last": "https://www.dwz.st/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://www.dwz.st/api/notification-handlers?page=1"
}
}
GET https://www.dwz.st/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://www.dwz.st/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://www.dwz.st/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-08 12:48:05",
}
}
POST https://www.dwz.st/api/notification-handlers
| 参数 | 详情 | 描述 |
|---|---|---|
| name | 必须 字符串 | - |
| type | 必须 字符串 | 允许的值:email , webhook , slack , discord , telegram , microsoft_teams |
| 可选 字符串 | 可用时间:type = email 电子邮件 | |
| webhook | 可选 字符串 | 可用时间:type = webhook Webhook URL |
| slack | 可选 字符串 | 可用时间:type = slack Slack webhook URL |
| discord | 可选 字符串 | 可用时间:type = discord Discord Webhook URL |
| telegram | 可选 字符串 | 可用时间:type = telegram Telegram API 令牌 |
| telegram_chat_id | 可选 字符串 | 可用时间:type = telegram Telegram 聊天 ID |
| microsoft_teams | 可选 字符串 | 可用时间:type = microsoft_teams Microsoft Teams webhook URL |
curl --request POST \
--url 'https://www.dwz.st/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://www.dwz.st/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://www.dwz.st/api/notification-handlers/{notification_handler_id}
| 参数 | 详情 | 描述 |
|---|---|---|
| name | 可选 字符串 | - |
| type | 可选 字符串 | 允许的值:email , webhook , slack , discord , telegram , microsoft_teams |
| 可选 字符串 | 可用时间:type = email 电子邮件 | |
| webhook | 可选 字符串 | 可用时间:type = webhook Webhook URL |
| slack | 可选 字符串 | 可用时间:type = slack Slack webhook URL |
| discord | 可选 字符串 | 可用时间:type = discord Discord Webhook URL |
| telegram | 可选 字符串 | 可用时间:type = telegram Telegram API 令牌 |
| telegram_chat_id | 可选 字符串 | 可用时间:type = telegram Telegram 聊天 ID |
| microsoft_teams | 可选 字符串 | 可用时间:type = microsoft_teams Microsoft Teams webhook URL |
| is_enabled | 可选 布尔值 | - |
curl --request POST \
--url 'https://www.dwz.st/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://www.dwz.st/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://www.dwz.st/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://www.dwz.st/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://www.dwz.st/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \